/*****************************/
/* Inside The Machine - MKS  */
/*****************************/

//Water entity File
#ifndef _EENNEMYBALL_H
#define _EENNEMYBALL_H

//Includes
#include "Entity.h"
#include "../µsprite.h"

//Defines

//Paramčtres de l'ennemi
// TYPE : ennemi
// p1 et p2 : distx vitesse
// Autres :

class eBall : public CEntity
{
   public:
   	eBall();
   	virtual ~eBall();
   	virtual void Draw(int layer);
	   virtual void Update();
	   virtual void Destroy();
	   virtual void Load();
	   virtual void CheckInteractions();
				   
	public:
	   CSprite spr;          //Sprite du personnage
	   int angle;
	   int timer;
	   bool isEnd;
};
#endif
